Summary:        Guess media type for a file or a URL
Name:           perl-LWP-MediaTypes
Version:        6.04
Release:        5%{?dist}
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/LWP-MediaTypes
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/LWP-MediaTypes-%{version}.tar.gz

BuildRequires:  make perl-generators perl-interpreter perl(strict) perl(warnings) sed 
BuildRequires:  perl(:VERSION) >= 5.6.2 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Exporter) perl(File::Basename) perl(Scalar::Util)
BuildRequires:  perl(File::Spec) perl(overload) perl(Test::Fatal) perl(Test::More)

Requires:       perl(File::Basename) mailcap      

BuildArch:      noarch

%description
This module provides functions for handling media (also known as MIME) types 
and encodings. The mapping from file extensions to media types is defined by 
the media.types file. If the ~/.media.types file exists it is used instead. 
For backwards compatibility we will also look for ~/.mime.types.

%prep
%autosetup -n LWP-MediaTypes-%{version}
sed -i -e '/my @priv_files = ();/ s|()|("%{_sysconfdir}/mime.types")|' lib/LWP/MediaTypes.pm

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.04-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.04-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.04-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Zhe <bessiewang@tencent.com> - 6.04-1
- initial build
